Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

lib/eztemplate/classes/eztemplateautoload.php
Go to the documentation of this file.
1 <?php
9 // Operator autoloading
10
11 $eZTemplateOperatorArray = array();
12 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateArrayOperator',
13 'operator_names' => array( 'array',
14 'hash',
15 'array_prepend', // DEPRECATED/OBSOLETE
16 'prepend', // New,replaces array_prepend.
17 'array_append', // DEPRECATED/OBSOLETE
18 'append', // New,replaces array_append.
19 'array_merge', // DEPRECATED/OBSOLETE
20 'merge', // New,replaces array_merge.
21 'contains',
22 'compare',
23 'extract',
24 'extract_left',
25 'extract_right',
26 'begins_with',
27 'ends_with',
28 'implode',
29 'explode',
30 'repeat',
31 'reverse',
32 'insert',
33 'remove',
34 'replace',
35 'unique',
36 'array_sum'
37 ) );
38
39
40
41 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateExecuteOperator',
42 'operator_names' => array( 'fetch', 'fetch_alias' ) );
43 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateLocaleOperator',
44 'operator_names' => array( 'l10n', 'locale', 'datetime', 'currentdate', 'maketime', 'makedate', 'gettime' ) );
45 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateAttributeOperator',
46 'operator_names' => array( 'attribute', 'dump' ) );
47 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateNl2BrOperator',
48 'operator_names' => array( 'nl2br' ) );
49 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateTextOperator',
50 'operator_names' => array( 'concat', 'indent' ) );
51 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateUnitOperator',
52 'operator_names' => array( 'si' ) );
53 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateLogicOperator',
54 'operator_names' => array( 'lt', 'gt', 'le',
55 'ge', 'eq', 'ne', 'null',
56 'not', 'true', 'false',
57 'or', 'and', 'choose' ) );
58 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateTypeOperator',
59 'operator_names' => array( 'is_array', 'is_boolean', 'is_integer',
60 'is_float', 'is_numeric', 'is_string',
61 'is_object', 'is_class', 'is_null',
62 'is_set', 'is_unset', 'get_type', 'get_class' ) );
63 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateControlOperator',
64 'operator_names' => array( 'cond', 'first_set' ) );
65
66 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateArithmeticOperator',
67 'operator_names' => array( 'sum', 'sub', 'inc', 'dec',
68 'div', 'mod', 'mul',
69 'max', 'min',
70 'abs', 'ceil', 'floor', 'round',
71 'int', 'float',
72 'count',
73 'roman',
74 'rand' ) );
75
76 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateImageOperator',
77 'operator_names' => array( 'texttoimage',
78 'image',
79 'imagefile' ) );
80
81
82 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateStringOperator',
83 'operator_names' => array( 'upcase',
84 'downcase',
85 'count_words',
86 'count_chars',
87 'trim',
88 'break',
89 'wrap',
90 'upfirst',
91 'upword',
92 'simplify',
93 'trim',
94 'wash',
95 'chr',
96 'ord',
97 'shorten',
98 'pad') );
99
100 $eZTemplateOperatorArray[] = array( 'class' => 'eZTemplateDigestOperator',
101 'operator_names' => array( 'crc32',
102 'md5',
103 'rot13', ) );
104
105
106
107 // Function autoloading
108
109 $eZTemplateFunctionArray = array();
110 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateSectionFunction',
111 'function_names' => array( 'section' ),
112 'function_attributes' => array( 'delimiter',
113 'section-exclude',
114 'section-include',
115 'section-else' ) );
116 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateDelimitFunction',
117 'function_names' => array( 'ldelim', 'rdelim' ) );
118 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateIncludeFunction',
119 'function_names' => array( 'include' ) );
120 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateSwitchFunction',
121 'function_names' => array( 'switch' ),
122 'function_attributes' => array( 'case' ) );
123 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateSequenceFunction',
124 'function_names' => array( 'sequence' ) );
125 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateSetFunction',
126 'function_names' => array( 'set', 'let', 'default' ) );
127 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateBlockFunction',
128 'function_names' => array( 'set-block', 'append-block', 'run-once' ) );
129
130 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateDebugFunction',
131 'function_names' => array( 'debug-timing-point', 'debug-accumulator',
132 'debug-log',
133 'debug-trace' ) );
134
135 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateCacheFunction',
136 'function_names' => array( 'cache-block' ) );
137
138 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateToolbarFunction',
139 'function_names' => array( 'tool_bar' ) );
140
141 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateMenuFunction',
142 'function_names' => array( 'menu' ) );
143
144 // should we add 'break', 'continue' and 'skip' to the {if} attribute list?
145 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateIfFunction',
146 'function_names' => array( 'if' ),
147 'function_attributes' => array( 'elseif',
148 'else' ) );
149 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateWhileFunction',
150 'function_names' => array( 'while' ),
151 'function_attributes' => array( 'delimiter',
152 'break',
153 'continue',
154 'skip' ) );
155 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateForFunction',
156 'function_names' => array( 'for' ),
157 'function_attributes' => array( 'delimiter',
158 'break',
159 'continue',
160 'skip' ) );
161
162 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateForeachFunction',
163 'function_names' => array( 'foreach' ),
164 'function_attributes' => array( 'delimiter',
165 'break',
166 'continue',
167 'skip' ) );
168 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateDoFunction',
169 'function_names' => array( 'do' ),
170 'function_attributes' => array( 'delimiter',
171 'break',
172 'continue',
173 'skip' ) );
174
175 $eZTemplateFunctionArray[] = array( 'class' => 'eZTemplateDefFunction',
176 'function_names' => array( 'def', 'undef' ) );
177
178
179 // eZTemplatePHPOperator is not autoload due to it's generic use
180 // it's up to the users of eZTemplate to initiate a proper usage
181 // for this operator class.
182
183 ?>
$eZTemplateOperatorArray
$eZTemplateOperatorArray
Definition: lib/eztemplate/classes/eztemplateautoload.php:11
$eZTemplateFunctionArray
$eZTemplateFunctionArray
Definition: lib/eztemplate/classes/eztemplateautoload.php:109
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.